Distributions
GET /appointments/{appointmentId}/slots/{slotId}/attendees
Get attendees for a specific appointment slot
GET
/
appointments
/
{appointmentId}
/
slots
/
{slotId}
/
attendees
cURL
curl --request GET \
--url https://admin.fanfare.io/api/appointments/{appointmentId}/slots/{slotId}/attendees \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/appointments/{appointmentId}/slots/{slotId}/attendees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/appointments/{appointmentId}/slots/{slotId}/attendees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/appointments/{appointmentId}/slots/{slotId}/attendees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"appointmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attendees": [
{
"consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"bookedAt": "2023-11-07T05:31:56Z",
"checkedInAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phone": "<string>"
}
],
"pagination": {
"limit": 123,
"page": 123,
"total": 123,
"totalPages": 123
},
"slotId": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Fanfare secret key. Keep secret credentials on your server.
⌘I
cURL
curl --request GET \
--url https://admin.fanfare.io/api/appointments/{appointmentId}/slots/{slotId}/attendees \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/appointments/{appointmentId}/slots/{slotId}/attendees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/appointments/{appointmentId}/slots/{slotId}/attendees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/appointments/{appointmentId}/slots/{slotId}/attendees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"appointmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attendees": [
{
"consumerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"bookedAt": "2023-11-07T05:31:56Z",
"checkedInAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phone": "<string>"
}
],
"pagination": {
"limit": 123,
"page": 123,
"total": 123,
"totalPages": 123
},
"slotId": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}